// package_A/pages/stores/index.js
import {wgs84togcj02} from '../../../utils/util.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 列表数据筛选条件
        params: {
            shopsName: ''
        },
        shopsName: '',
        list: [],
        current: "/index/merchant/page",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /* 输入名称搜索 */
    search(e) {
        let params = this.data.params
        params.shopsName = this.data.shopsName
        this.setData({ params })
    },
    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail || [])
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },
    // 详情
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
            url: '/package_A/pages/storeDetail/index?data='+JSON.stringify(data),
            
        })
    },

    // 导航
    showNavigate(e){
        const data = e.currentTarget.dataset.detail
        let coordinate = wgs84togcj02([data.longitude,data.latitude])
        wx.openLocation({
            latitude: parseFloat(coordinate[1]), // 纬度，范围为-90~90，负数表示南纬
            longitude: parseFloat(coordinate[0]), // 经度，范围为-180~180，负数表示西经
            scale: 17, // 缩放比例
        })
    }
})